2

Have you ever been in that situation where you had to work on a really old computer cluster, with a roughly ten year old emacs, ten year old compiler and everything just being ten years old? And of course it's an important cluster shared by many people that we can't just update to a newer version of the OS (it's a linux based one by the way).

After running into a few ten year old bugs in programs like emacs and gdb I tried to recompile modern versions of gcc/gdb and emacs. Unfortunately all the libraries on this computer are so old that the new versions just won't compile. I spent hours trying to put custom libraries in custom include directories to get it working, but no, issue after issue comes up.

Is there any way I can get the new versions of my beloved emacs/gdb on this machine? Something like a completely static binary that I can just copy over anywhere? But that probably won't work since the underlying kernel calls have probably changed rather dramatically from kernel version 2.6 (which the cluster is running) to 3.11 (which my desktop is running)? How do you deal with old systems you need to work on?

0

Two suggestions for you. You could try compiling emacs/gdb under lsb on your 3.11 machine or on a modern 2.6 machine (e.g. centos-6.5). But I doubt you'll ever get the latest gdb working fully.

If that doesn't work, you could NFS mount your old system onto your new system and use emacs/gdb there. It's the opposite of what you asked, but at least you'd be able to use your new emacs and edit files on your old machine. You'll have to adjust your LD_LIBRARY_PATH etc to load the correct libs.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.